#!/bin/bash
# The Debian version of this package contain some bits that make it 
# incompatible with Free Software Distribution Guidelines. This script
# fixes that in the (Debian) pristine source.

set -ex

PRISTINE=texlive-extra_2012.20120611.orig.tar.xz 
DIR=texlive-extra-2012.20120611

if [ ! -f "$PRISTINE" ] ; then
    echo "$PRISTINE not found in current directory."
    exit 1
fi

if [ -d "$DIR" ] ; then
    echo "Target directory $DIR already exists."
    exit 1
fi

tar -xf "$PRISTINE"
cd "$DIR"

# Remove non-free style file.
rm texmf-dist/doc/latex/confproc/example/papers/IEEEtran.bst
sed -i /'doc\/latex\/confproc\/example\/papers\/IEEEtran.bst'/d tlpkg/texlive.tlpdb
rm texmf-dist/doc/latex/confproc/example/IEEEtran.bst
sed -i /'doc\/latex\/confproc\/example\/IEEEtran.bst'/d tlpkg/texlive.tlpdb

cd ..
REPACKED=$(echo $PRISTINE | sed s,.orig,+fsdg.orig,g)
tar -cJf "$REPACKED" "$DIR"
